# Valeria Trust Profile 0.1.0
---
profile_metadata:
  name: Valeria IPTC Profile
  issuer: Valeria Authoring Services
  date: 2026-08-20
  version: 0.1.0
  language: en

valeria:profile_metadata:
  id: https://valeria.gallery/trust/profiles/valeria-iptc/0.1.0/
  source: https://valeria.gallery/trust/profiles/valeria-iptc/0.1.0/profile.yaml
  documentation: https://valeria.gallery/trust/profiles/valeria-iptc/0.1.0/

expressions:
  _cawgMetadata: manifests[0].assertions[?'cawg.metadata' != null] | [0].'cawg.metadata'
  _digitalSourceType: _cawgMetadata().'Iptc4xmpExt:DigitalSourceType'

include:
  - ../../snippets/iptc-dst/0.1.0/snippet.yaml

---
- block:
    name: profile_metadata
    value: '{{expr "profile_metadata"}}'

- block:
    name: valeria:profile_metadata
    value: '{{expr "''valeria:profile_metadata''"}}'

- id: valeria_iptc
  title: Valeria IPTC CV
  report_text: Extracted IPTC DigitalSourceType.

- id: valeria_digital_source_type
  expression: >
    _digitalSourceType()
  report_text: This image has a declared IPTC Digital Source Type.

- id: valeria_dst_description
  expression: >
    value($iptc_digitalSourceType, split(_digitalSourceType(), "/")[-1]).name
  report_text: '{{expr "value($iptc_digitalSourceType, split(_digitalSourceType(), "/")[-1]).description"}}'
